-- Example 03c
-- From Ahammer, Andreas: <http://wi.wu-wien.ac.at/rgf/diplomarbeiten/index.html#bakk_07>
-- a simple print example

-- Retrieve the Desktop object, we need its XComponentLoader interface to load
-- a new document
oDesktop         = UNO.createDesktop()    -- get the UNO Desktop service object
xComponentLoader = oDesktop~XDesktop~XComponentLoader  -- get componentLoader
                                                       -- interface

-- load the document, get printing interface of it
url = "http://www.RexxLA.org"       -- now use a URL from the WWW
url = "http://www.openoffice.org"   -- now use a URL from the WWW
xPrintable = xComponentLoader~loadComponentFromURL(url, "_blank", 0, .UNO~noProps) ~xPrintable

/* set a specific printer to print to */
props = bsf.createArray(.UNO~PropertyValue, 1)  -- create Java array
props[1] = .UNO~propertyValue~new
props[1]~Name  = "Name"
-- the name of your printer (if not found default one is used)
props[1]~Value = "hp deskjet 5600 series"
xPrintable~setPrinter(props)  -- set the printer

/* set the print-options */
props[1]~Name  = "Pages"
props[1]~Value = "1"       -- just print the first page
xPrintable~print(props)    -- now print the page

::requires UNO.CLS    -- get UNO support